import { Route } from '@angular/router';

import { ListComponent } from './components/list.component';
import { ViewComponent } from '../user/components/view.component';

import { PartnerMainofficesResolver } from './resolvers/partner-mainoffice.resolver';
import { UserResolver } from '../user/resolvers/user.resolver';

export const partnerMainofficeRoutes: Route[] = [
  {
    path: '',
    component: ListComponent,
    resolve: {
      partnerMainoffices: PartnerMainofficesResolver,
    },
  },
  {
    path: ':id',
    component: ViewComponent,
    resolve: {
      users: UserResolver,
    },
  },
];
