import { Route } from '@angular/router';

import { ListComponent } from './components/list.component';
import { ViewComponent } from '../user/components/view.component';

import { PartnerRecommendationsResolver } from './resolvers/partner-recommendation.resolver';
import { UserResolver } from '../user/resolvers/user.resolver';

export const partnerRecommendationRoutes: Route[] = [
  {
    path: '',
    component: ListComponent,
    resolve: {
      partnerRecommendations: PartnerRecommendationsResolver,
    },
  },
  {
    path: ':id',
    component: ViewComponent,
    resolve: {
      users: UserResolver,
    },
  },
];
